variables:
  IMAGE_NAME: "registry.gitlab.com/rpdev/docker/qt5-android:latest"

build::image:
  image: docker:git
  services:
  - docker:dind
  script:
    - echo "$CI_REGISTRY_PASSWORD" | docker login $CI_REGISTRY --username $CI_REGISTRY_USER --password-stdin
    - sh ./run-build.sh $IMAGE_NAME
    - docker push $IMAGE_NAME
